
<!DOCTYPE html>
<html dir="ltr" lang="fr">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords"
        content="wrappixel, admin dashboard, html css dashboard, web dashboard, bootstrap 5 admin, bootstrap 5, css3 dashboard, bootstrap 5 dashboard, ample admin bootstrap 5 dashboard, frontend, responsive bootstrap 5 admin template">
    <meta name="description"
        content="Ample is powerful and clean admin dashboard template, inspired from Google's Material Design">
    <meta name="robots" content="noindex,nofollow">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>GestStudent</title>
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="/assets/images/favicon.png">
    <!-- This Page CSS -->
    @yield('styles')
    <!-- needed css -->
    <link href="{{ asset('dist/css/style.min.css') }}" rel="stylesheet">
    <style>
        #main-wrapper .topbar .top-navbar .navbar-header {
	    border-right: 1px solid rgb(120 130 140 / 0%)!important;
	    background: {{ Session::get('RESULTAT_DATA')['RESULTAT_COULEUR_ETAB3'] }} !important;
	    text-align: center;
	}

	#main-wrapper .topbar .top-navbar .navbar-header .logo-icon img{
	    height: 2.2rem;
	}
         
    
	.sidebar-nav ul .sidebar-item.selected>.sidebar-link {
	    background-color: {{ Session::get('RESULTAT_DATA')['RESULTAT_FIRSTLIGHT'] }};
	}

	.sidebar-nav ul .sidebar-item .sidebar-link:not(.active),
	.sidebar-nav ul .sidebar-item .sidebar-link:not(.active)  i {
	    color: {{ Session::get('RESULTAT_DATA')['RESULTAT_COULEUR_TEXT1'] }};
	}

	.sidebar-nav .has-arrow:not(.active)::after {
	   color:{{ Session::get('RESULTAT_DATA')['RESULTAT_COULEUR_TEXT1'] }};
	}

	//Sidenav
	.customizer .service-panel-toggle .reg a {
	    background-color: {{ Session::get('RESULTAT_DATA')['RESULTAT_COULEUR_ETAB2'] }};
	}
        .bg-title h4 {
            text-transform: uppercase;
            font-size: 14px;
            font-weight: 700 !important;
            margin-top: 6px;
        }

        .dropify-message p {
            text-align: center;
        }

        .setting {
            line-height: 29px;
            font-size: 15px
        }

        .well,
        pre {
            background: #fff;
            border-radius: 0;
        }

        .well {
            min-height: 20px;
            padding: 19px;
            margin-bottom: 20px;
            background-color: #f5f5f5;
            border: 1px solid #e3e3e3;
            border-radius: 4px;
            -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 5%);
            box-shadow: inset 0 1px 1px rgb(0 0 0 / 5%);
        }

        .wizard-content .wizard>.steps>ul>li.current .step {
            border-color: #fff;
            background-color: #2cabe3;
            color: #fff;
        }

        .wizard-content .wizard>.steps>ul>li.done .step {
            background-color: #53e69d;
            border-color: #fff;
            color: #fff;
        }

        .has-error .select2-selection {
            border-color: rgb(185, 74, 72) !important;
        }
     
    </style>


    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body>
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <svg class="circular" viewBox="25 25 50 50">
            <circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2"
                stroke-miterlimit="10" />
        </svg>
    </div>
    <!-- ============================================================== -->
    <!-- Main wrapper - style you can find in pages.scss -->
    <!-- ============================================================== -->
    <div id="main-wrapper">
        @include('partials.header')

        @include('partials.sideBar')
        
        <div class="page-wrapper">
            <div class="page-breadcrumb border-bottom py-3">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-5 col-md-6 col-xs-12 justify-content-start d-flex align-items-center bg-title"
                            style="margin-top: 6px;">
                            @yield('intitule')
                        </div>
                        <div
                            class="col-lg-7 col-md-6 col-xs-12 d-flex justify-content-between justify-content-md-end align-self-center">
                            <nav aria-label="breadcrumb" class="mt-2">
                                <ol class="breadcrumb mb-0 p-0">
                                    <li class="breadcrumb-item"><a href="{{ route('home') }}">Dashboard</a></li>
                                    @yield('breadcrumb')
                                </ol>
                            </nav>
                            <button class="btn btn-danger ms-3 d-none d-md-block"
                                style="background-color: {{ Session::get('RESULTAT_DATA')['RESULTAT_COULEUR_ETAB1'] }};">GestStudent
                                V17.04</button>
                            <a href="javascript:void(0)" class="rounded-pill ms-3 px-2"
                                style="height: 30px; width:30px; color:{{ Session::get('RESULTAT_DATA')['RESULTAT_COULEUR_ETAB2'] }} " ><i
                                    class="fa fa-spin fa-cog text-white setting"></i></a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="page-content container-fluid pt-4">
                    @yield('main')
                </div>
            </div>

            @include('partials.footer')
        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- -------------------------------------------------------------- -->
    <!-- All Jquery -->
    <!-- -------------------------------------------------------------- -->

    <script src="{{ asset('assets/libs/jquery/dist/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/extra-libs/taskboard/js/jquery-ui.min.js') }}"></script>
    <!-- Bootstrap tether Core JavaScript -->
    <script src="{{ asset('assets/libs/popper.js/popper.min.js') }}"></script>
    <script src="{{ asset('assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js') }}"></script>
    <!-- apps -->
    <script src="{{ asset('dist/js/app.min.js') }}"></script>
    <script src="{{ asset('dist/js/app.init.horizontal.js') }}"></script>
    <script src="{{ asset('dist/js/app-style-switcher.horizontal.js') }}"></script>
    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="{{ asset('assets/libs/perfect-scrollbar/dist/perfect-scrollbar.jquery.min.js') }}"></script>
    <script src="{{ asset('assets/extra-libs/sparkline/sparkline.js') }}"></script>
    <!--Wave Effects -->
    <script src="{{ asset('dist/js/waves.js') }}"></script>
    <!--Menu sidebar -->
    <script src="{{ asset('dist/js/sidebarmenu.js') }}"></script>
    <!--Custom JavaScript -->
    <script src="{{ asset('dist/js/feather.min.js') }}"></script>

    <!-- This Page JS -->

    <script src="{{ asset('dist/js/custom.min.js') }}"></script>
    <script>
        
        let toaster = (type, message) => {
            toastr[type](message, )

            toastr.options = {
                "closeButton": true,
                "debug": false,
                "newestOnTop": false,
                "progressBar": false,
                "positionClass": "toast-top-right",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": "300",
                "hideDuration": "1000",
                "timeOut": "1000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
        }


        /* let checkValidation2 = (id) => {
            if ($(id).val() === null) {
                $(id).removeClass('is-valid');
                $(id).addClass('is-invalid');
                return false;
            } else {
                if (isNaN($(id).val())) {
                    $(id).removeClass('is-valid');
                    $(id).addClass('is-invalid');
                    return false;
                } else {
                    $(id).removeClass('is-invalid');
                    $(id).addClass('is-valid');
                    return true;
                }
            }
        } */

        let checkValidation = (id) => {
            if ($(id).val() === null) {
                $(id).removeClass('is-valid');
                $(id).addClass('is-invalid');
                return false;
            } else {
                if (isNaN($(id).val())) {
                    $(id).removeClass('is-valid');
                    $(id).addClass('is-invalid');
                    return false;
                } else {
                    $(id).removeClass('is-invalid');
                    $(id).addClass('is-valid');
                    return true;
                }
            }
        }
        $(() => {
            $('#operation')?.change(() => {
                checkValidation('#operation');
            });


            $('#filiere')?.change(() => {
                checkValidation('#filiere');
            });


            $('#etudeYear')?.change(() => {
                checkValidation('#etudeYear');
            });


            $('#formation')?.change(() => {
                checkValidation('#formation');
            });

            $('#statType')?.change(() => {
                checkValidation('#statType');
            });


            $('#nbrOfCredit')?.change(() => {
                checkValidation('#nbrOfCredit');
            });


            $('#semestre')?.change(() => {
                checkValidation('#semestre');
            });


            $('#delibType')?.change(() => {
                checkValidation('#delibType');
            });

        //     /* $('#pageForm')?.change(() => {
        //         checkValidation('#pageForm');
        //     });


        //     $('#pagePolice')?.change(() => {
        //         checkValidation('#pagePolice');
        //     });


        //     $('#pageOrientation')?.change(() => {
        //         checkValidation('#pageOrientation');
        //     });*/


            $('#sessionType')?.change(() => {
                checkValidation('#sessionType');
            });


            $('#YesNo')?.change(() => {
                checkValidation('#YesNo');
            });

            $('#acadYear')?.change(() => {
                checkValidation('#acadYear');
            });

            $('#ec')?.change(() => {
                checkValidation('#ec');
            });

            $('#ue')?.change(() => {
                checkValidation('#ue');
            });

        });
    </script>
    @yield('scripts')
</body>

</html>
